<%@ page contentType="text/html;charset=UTF-8" %>

<link rel="stylesheet" href="<%=request.getContextPath()%>/js/zTree/v3/css/zTreeStyle/zTreeStyle.css" type="text/css">
<link rel="stylesheet" href="<%=request.getContextPath()%>/css/pagination.css">
<div class="page-container">

    <div class="content" >
        <div class="cl pd-5  bk-gray mt-20">
            <form method="post" id="data_form_search" name="data_form_search">
                <input type="hidden" name="page_number" id="page_number" value="1"/>
                <input type="hidden" name="page_size" id="page_size" value="10"/>
                <input type="hidden" name="status" id="status" value=""/>
            </form>
            <span class="l">
            <a href="javascript:void(0);" id="default" onclick="searchNotice('n_read')" class="btn btn-default radius"> 未读</a>
            <a href="javascript:void(0);" onclick="searchNotice('y_read')" class="btn btn-default radius"> 已读</a>
        </span>
            <span class="r" >
            <a href="javascript:void(0);" name="addjs" id="addjs" onclick="readNotice('all')" class="btn btn-primary radius"> 全部已读</a>
        </span>
        </div>
        <div class="datalist " id="datalist">
        </div>
    </div>
</div>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/jquery.pagination.js"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/zTree/v3/js/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript">
    function searchModel() {
        $.ajax({
            type: "post",
            url: "phone_list_ajax.jsp",
            data: $('#data_form_search').serialize(),
            success: function (msg) {
                data_form_search.reset();
                $("#datalist").html(msg);
            }
        });
    }
    $(function(){
        searchModel();
    });
    function readNotice(id) {
        $.ajax({
            type: "post",
            url: "./action.jsp",
            data: {"id":id},
            success: function (msg) {
                if (msg.indexOf("success") >= 0) {
                    layer.msg('操作成功!', {icon: 1, time: 1000},
                        function () {
                            searchModel();
                        });
                } else {
                    layer.msg('操作失败'+msg, {
                        icon: 5,
                        time: 10000 //2秒关闭（如果不配置，默认是3秒）
                    }, function () {
                    });
                }
            },error: function (msg) {
                alert("失败"+msg)
            }
        });
    }
    function searchNotice(status){
        $("#default").removeClass("default");
        $("#status").val(status);
        if(status=='n_read'){
            document.getElementById("addjs").style.display="block";
        }else{
            document.getElementById("addjs").style.display="none";
        }
        searchModel();
    }
</script>