<%@ page contentType="text/html;charset=UTF-8" %>

<link rel="stylesheet" href="<%=request.getContextPath()%>/js/zTree/v3/css/zTreeStyle/zTreeStyle.css" type="text/css">
<link rel="stylesheet" href="<%=request.getContextPath()%>/css/pagination.css">
<style>
    .search-input{width:200px;}
</style>
<div class="page-container">
    <div class="content" >
        <div class="search-form">
            <form method="post" id="data_form_search" name="data_form_search">
                <input type="hidden" name="page_number" id="page_number" value="1"/>
                <input type="hidden" name="dept_id" id="dept_id" value=""/>
                <input type="hidden" name="page_size" id="page_size" value="10"/>
                <div class="text-l">
                    <table class="search-table " >
                        <tr class="">
                            <td class="search-label" >
                                单位名称：
                            </td>
                            <td class="search-input" >
                                <input placeholder="输入单位名称" type="text" name="dept_name" class="input-text" />
                            </td>
                            <td class="search-label">
                                使用人：
                            </td>
                            <td class="search-input">
                                <input placeholder="输入使用人" type="text" name="user_name" class="input-text" />
                            </td>
                            <td class="search-label">
                                状态：
                            </td>
                            <td class="search-input">
                                <select class="input-text" name="status" >
                                    <option value="">请选择</option>
                                    <option value="0">可用</option>
                                    <option value="1">分配中</option>
                                    <option value="2">已用</option>
                                    <option value="3">冻结</option>
                                </select>
                            </td>
                        </tr>
                        <tr class="">
                            <td class="search-label">
                                尾号规则:
                            </td>
                            <td class="search-input">
                                <select class="input-text" name="end_num_rules" id="end_num_rules">
                                    <option value="">请选择</option>
                                    <option value="AAAA">AAAA</option>
                                    <option value="ABCD">ABCD</option>
                                    <option value="ABBB">ABBB</option>
                                    <option value="AAAB">AAAB</option>
                                    <option value="AABB">AABB</option>
                                    <option value="ABAB">ABAB</option>
                                </select>
                            </td>
                            <td class="search-label" >
                                号码：
                            </td>
                            <td class="search-input" >
                                <input placeholder="输入号码" type="text" name="phone" class="input-text" />
                            </td>
                            <td class="search-label">
                                使用范围:
                            </td>
                            <td class="search-input">
                                <select class="input-text" name="use_fw" >
                                    <option value="all">全部</option>
                                    <option value="normal">普通</option>
                                    <option value="special">特殊</option>
                                </select>
                            </td>
                            <td colspan="3">
                                <a class="btn btn-primary radius" id="searchA" onclick="searchUserModel();" style="margin-left:19%;">
                                    查询
                                </a>
                                <a class="btn btn-info radius" onclick="chongzhi();" style="margin-left:5px;">
                                    重置
                                </a>
                            </td>
                        </tr>
                    </table>
                </div>
            </form>
        </div>
        <div style="height:10px;background-color: #d9e4f6">

        </div>
        <div class="datalist " id="datalist">

        </div>
    </div>
</div>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/jquery.pagination.js"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/zTree/v3/js/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript">
    function searchModel() {
        $.ajax({
            type: "post",
            url: "phone_list_ajax.jsp",
            data: $('#data_form_search').serialize(),
            success: function (msg) {
                //data_form_search.reset();
                $("#datalist").html(msg);
            }
        });
    }


    function searchUserModel() {
        $("#page_number").val("1");
        searchModel();
    }


    $(function(){
        searchModel();
    });

    function chongzhi(){
        $("#page_size").val("10");
        data_form_search.reset();
        searchUserModel();
    }


    function telSegment(title, url) {
        var abc = layer.open({
            title: title,
            type: 2,
            content: url,
            maxmin: true
        });
        layer.full(abc);
    }
    function edit_seg(dept_id){
        telSegment('修改号段','./seg_add-t.jsp?dept_id='+dept_id);
    }
    function operList(type) {
        var isChecked=false;
        var us = document.getElementsByName("phone_view");
        for(var i=0;i<us.length;i++){
            if(us[i].checked){
                isChecked = true;
            }
        }
        if(!isChecked){
            layer.alert("请勾选号码",{icon:5,title:"提示"});
            return false;
        }
        document.phone_list.submit();
    }

</script>